gtk.VRuler
Prev | The gtk Class Reference | Next

## gtk.VRuler

gtk.VRuler — a vertical ruler.

## Synopsis

    class gtk.VRuler(gtk.Ruler):
        gtk.VRuler()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Ruler
            +-- gtk.VRuler

## Implemented Interfaces

`gtk.VRuler` implements `gtk.Buildable`

## gtk.VRuler Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Ruler Properties

## gtk.VRuler Style Properties

gtk.Widget Style Properties

## gtk.VRuler Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

## Description

### Note

This widget is considered too specialized or little-used for PyGTK, and will in the future be moved to some other package. If your application needs this widget, feel free to use it, as the widget does work and is useful in some applications; it's just not of general interest. However, it will eventually move out of the PyGTK distribution.

The `gtk.VRuler` widget is arranged vertically creating a ruler that is used in conjunction with other widgets such as a text widget. The ruler is used to show the location of the mouse on the window and to show the size of the window in specified units. The available units of measurement are `gtk.PIXELS` (the default), `gtk.INCHES` and `gtk.CENTIMETERS`. See the `gtk.Ruler` description for more information on the methods that are used to manage a `gtk.VRuler`.

## Constructor

        gtk.VRuler()

Returns : | a new `gtk.VRuler` widget

Creates a new `gtk.VRuler` widget.

Prev | Up | Next
gtk.VPaned | Home | gtk.VScale